<?php

	$title = 'Кланы';
	$cost = 500;
	$paginate = TRUE;

	require_once '../protected/sys.php';


if($user['clan_id'] != 0) {
    header("Location: /clans/clan.php?id=$user[clan_id]");
    exit();
}

	if(isset($_POST['name'])) {

		$name = trim($_POST['name']);
		$strlen = mb_strlen($name, 'UTF-8');

		if($strlen < 5 || $strlen > 20) $_SESSION['error'] = 'Название клана должно быть от 5 до 20 символов!';
		elseif($user['gold'] < $cost) $_SESSION['error'] = 'Недостаточно золота!';
		elseif($db->rows("SELECT * FROM clans WHERE admin_id = ?", array($user['id']))) $_SESSION['error'] = 'У вас уже есть клан!';
		elseif($db->rows("SELECT * FROM clans WHERE name = ?", array($name))) $_SESSION['error'] = 'Такое название уже существует!';
		else {

			$db->query("INSERT INTO clans SET name = ?, admin_id = ?, time = UNIX_TIMESTAMP()", array($name, $user['id']));
			$last = $db->last();

			$db->query("UPDATE users SET gold = gold - ". $cost .", clan_id = '". $last ."' WHERE id = '". $user['id'] ."'");

			header('Location: /clans/clan?id='. $last);
			exit;

		}

		header('Location: /clans');
		exit;

	}

	$c = 10;
	$k_post = $db->rows("SELECT id FROM clans", array());
	$k_page = k_page($k_post, $c);
	$page = page($k_page);
	$start = $c * $page - $c;

	$db->offEmulate();

	$clans = $db->fetchAll("SELECT id, name FROM clans ORDER BY id DESC LIMIT ?,?", array($start, $c));

?>

<div class="menu">
	<center>
		<form action="" method="post">
			Введите название клана<div class="mb5"></div>
			<input type="text" size="23" maxlength="20" name="name"><div class="mb5"></div>
			<input class="menu" type="submit" value="Создать клан">
		</form>
	</center>
</div>

<div class="menu">
	<li class="lft mb2">
		Стоимость создания клана <img src="http://mdrag.ru/style/images/icons/icon_gem.png" class="icon"><?= $cost ?>
	</li>
	<li class="lft">
		Название клана должно быть от 5 до 20 символов
	</li>
</div>

<div class="menu">

<?php if(!$clans): ?>
Кланов пока нет
<?php else: ?>

<?php foreach($clans as $clan): ?>

<a class="menu" href="/clans/clan?id=<?= $clan['id'] ?>">
	<?= htmlspecialchars($clan['name']) ?>
</a>

<?php endforeach; ?>
<?php endif; ?>

</div>

<?php if($k_page > 1): ?>

<div class="menu">
	<div class="hr_arr mt2 mb2 mlr10">
		<div class="alf">
			<div class="art">
				<div class="acn">
				</div>
			</div>
		</div>
	</div>
<center>

<?php str('?', $k_page, $page) ?>

</center>

<div class="hr_arr mt2 mb2 mlr10">
		<div class="alf">
			<div class="art">
				<div class="acn">
				</div>
			</div>
		</div>
	</div>

</div>

<?php

	endif;
	require_once $config['root'] .'/protected/footermain.php';

?>